kcapi_md_final
Prev | Message Digest Cipher API - Stream | Next

## Name

kcapi_md_final — message digest finalization function (stream)

## Synopsis

`int32_t kcapi_md_final (` | struct kcapi_handle * handle,
| uint8_t * buffer,
| uint32_t len`)`;

## Arguments

`handle`

  [in] cipher handle

`buffer`

  [out] filled with the message digest

`len`

  [in] buffer length

## Description

`return` size of message digest upon success; -EIO - data cannot be obtained; -ENOMEM - buffer is too small for the complete message digest, the buffer is filled with the truncated message digest

Prev | Up | Next
kcapi_md_update | Home | Random Number API